<template>
	<v-dialog
		v-model="displayStepper"
		fullscreen
		hide-overlay
		transition="dialog-bottom-transition"
		persistent
	>
		<v-card>
			<v-container>
				<p class="display-1 text-center">Completa la información necesaria.</p>
				<v-stepper v-model="stepper">
					<v-stepper-header>
						<v-stepper-step :complete="stepper > 1" color="#558b2f" step="1">Datos personales</v-stepper-step>
						<v-stepper-step :complete="stepper > 2" color="#558b2f" step="2">Datos del domicilio</v-stepper-step>
						<v-stepper-step color="#558b2f" step="3">Datos Escolares</v-stepper-step>
					</v-stepper-header>
					<v-stepper-items>
						<v-stepper-content step="1">
							<FormPersonalData />
						</v-stepper-content>
						<v-stepper-content step="2">
							<FormAddressData />
						</v-stepper-content>
						<v-stepper-content step="3">
							<FormScholarData />
						</v-stepper-content>
					</v-stepper-items>
				</v-stepper>
			</v-container>
		</v-card>
	</v-dialog>
</template>

<script>
import FormPersonalData from "./FormPersonalData";
import FormAddressData from "./FormAddressData";
import FormScholarData from "./FormScholarData";
import EventBus from "../../bus";

export default {
	name: "StepperForms",
	props: ["displayStepper"],
	components: {
		FormPersonalData,
		FormAddressData,
		FormScholarData
	},
	data: () => ({
		stepper: 1
	}),
	mounted() {
		// Abre el siguiente formulario
		EventBus.$on("nextStep", () => {
			this.stepper++;
		});
		// Abre un formulario anterior
		EventBus.$on("backStep", () => {
			this.stepper--;
		});
	}
};
</script>